# Update a user in the account

Launch stage: Beta

`PATCH /api/2.0/identity/accounts/{account_id}/users/{user_id}`

Updates an existing user in the Databricks account and returns the updated user. Only the
 fields named in the update mask are modified. The updatable fields are fullName.givenName,
 fullName.familyName, status, and externalId.

 When AIM is enabled and the user is an external identity (its external_id is set), only
 external_id can be updated; its other fields are sourced from your identity provider.

API scopes: identity

## Path parameters

- `account_id` (string, required)
  Required. The account ID for which the user is being updated.
- `user_id` (string, required)
  Required. Internal ID of the user in Databricks.

## Query parameters

- `update_mask` (string, required)
  Optional. The list of fields to update.

## Request body

Required. User to be updated in Databricks
- `external_id` (string, optional)
  ExternalId of the user in the customer's IdP.
- `username` (string, required, Immutable)
  Username/email of the user.
- `full_name` (object, required)
  - `given_name` (string, optional)
  - `family_name` (string, optional)
- `account_user_status` (string, required)
  The activity status of a user in a Databricks account.
  Possible values:
  - `ACTIVE`
  - `INACTIVE`

## Returns

Returns the User object.

## Response

```json
{
  "account_id": "string",
  "user_id": "string",
  "external_id": "string",
  "username": "string",
  "full_name": {
    "given_name": "string",
    "family_name": "string"
  },
  "account_user_status": "ACTIVE"
}
```

